/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package cz.cvut.kbss.wpa.webservices.jaxws;

import cz.cvut.kbss.wpa.webservices.model.Book;
import cz.cvut.kbss.wpa.webservices.service.BookServiceIface;
import java.util.List;
import javax.jws.WebMethod;
import javax.jws.WebService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Configurable;
import org.springframework.stereotype.Component;
import org.springframework.web.context.support.SpringBeanAutowiringSupport;

/**
 *
 * @author marek
 */
//@Component("wsBookService")
//@Configurable
@WebService
public class WsBookService extends SpringBeanAutowiringSupport {
    
    @Autowired
    private BookServiceIface bookService;
    
    @WebMethod
    public String getHello() {
        return "hello, book service = "+bookService;
    }
    
    @WebMethod
    public List<Book> getAllBooks() {
        return bookService.getAllBooks();
    }

    @WebMethod
    public Book getBookById(long id) {
        return bookService.getBookById(id);
    }

    @WebMethod
    public List<Book> getBooksByOwnerAge(int min, int max) {
        return bookService.getBooksByOwnerAge(min, max);
    }
    
    @WebMethod
    public void addBook(Book book) {
        bookService.addBook(book);
    }
    
}
